utl::dev_iterator_traits< _Cat, _Tp, _Diff > Struct Template Reference

Device iterator collection. More...

`#include <dev_iterators.h>`

## Public Types

using | iterator_category = _Cat
using | value_type = _Tp
using | difference_type = _Diff
using | pointer = _Tp *
using | reference = _Tp &

## Detailed Description

### template<typename _Cat, typename _Tp, typename _Diff = ptrdiff_t>
struct utl::dev_iterator_traits< _Cat, _Tp, _Diff >

Device iterator collection.

Traits class for dev_iterators.

This class does nothing but define nested typedefs. The general version simply forwards the nested typedefs from the Iterator argument.

Definition at line 43 of file dev_iterators.h.

## Member Typedef Documentation

## difference_type

template<typename _Cat, typename _Tp, typename _Diff = ptrdiff_t>

using utl::dev_iterator_traits< _Cat, _Tp, _Diff >::difference_type = _Diff

Definition at line 46 of file dev_iterators.h.

## iterator_category

template<typename _Cat, typename _Tp, typename _Diff = ptrdiff_t>

using utl::dev_iterator_traits< _Cat, _Tp, _Diff >::iterator_category = _Cat

Definition at line 44 of file dev_iterators.h.

## pointer

template<typename _Cat, typename _Tp, typename _Diff = ptrdiff_t>

using utl::dev_iterator_traits< _Cat, _Tp, _Diff >::pointer = _Tp*

Definition at line 47 of file dev_iterators.h.

## reference

template<typename _Cat, typename _Tp, typename _Diff = ptrdiff_t>

using utl::dev_iterator_traits< _Cat, _Tp, _Diff >::reference = _Tp&

Definition at line 48 of file dev_iterators.h.

## value_type

template<typename _Cat, typename _Tp, typename _Diff = ptrdiff_t>

using utl::dev_iterator_traits< _Cat, _Tp, _Diff >::value_type = _Tp

Definition at line 45 of file dev_iterators.h.

The documentation for this struct was generated from the following file:

- include/utl/dev/dev_iterators.h